	character*30 f1,f2
	integer nn(999)
	real see(999)
	k=iargc()
	if(k.eq.0)then
	  write(*,*)'      *** chlst file *******'
	  write(*,*)'                  file is come from pip2'
          write(*,*)'               input:   *.als, *.lst'
	  write(*,*)
	  stop
	endif
	call getarg(1,f2)
        i=index(f2,'.')
	k=lnblnk(f2)
	if(i.ne.0) k=i-1

	f1=f2(1:k)//'.lst'
	open(2,file=f1,status='old')
	i=1
11	read(2,1,end=12)nn(i),see(i)
1	format(i6,35x,f8.1)
	i=i+1
	goto 11
12	n=i
	close(2)

	f1=f2(1:k)//'.als'
	inquire(file=f1,exist=i)
	if(i.eq.0)stop '.als file not found !'
	open(1,file=f1,status='old')
	read(1,'(a)')head
	read(1,'(a)')head
	read(1,'(a)')head
20	read(1,*,err=100,end=100)j,x1,x2,x3,x4,x5
	do 21 i=1,n
	if(j.eq.nn(i))goto 22
21	continue
	goto 20
22	write(*,'(i6,6f10.3)')j,x1,x2,x3,x4,x5,see(i)
	goto 20
100	close(2)
	close(1)
	end
